Support » Plugin: WP Log Viewer » "Plugin could not be loaded. Please try again."

Viewing 15 replies - 1 through 15 (of 22 total)
  • Plugin Author maxwellberkel

    (@maxwellberkel)

    Please update to 0.12.3. I believe it will solve the issue you were having.

    Afraid I’m still getting the same message.

    Plugin Author maxwellberkel

    (@maxwellberkel)

    Open developer tools in your browser, and find the ajax call that is giving the error. What http error code you are getting? Is it 403, 401 or 400?

    Error message

    Failed to load resource: the server responded with a status of 400 (Bad Request)

    Source

    wp-content/plugins/wp-log-viewer/api/?do=get-log

    Plugin Author maxwellberkel

    (@maxwellberkel)

    Please provide some additional information:

    – PHP version
    – Server type (apache, nginx, …)
    – OS type (linux, unix, …)
    – WordPress version

    php5.6.10

    Apache/2.2.29

    (Unix) mod_wsgi

    WordPress 4.3

    Same problem here:

    OS: Ubuntu Server 14.04

    php5.6.11+dfsg-1+deb.sury.org~trusty+1

    Nginx/1.6.1-2+trusty0

    WordPress 4.3

    Plugin Author maxwellberkel

    (@maxwellberkel)

    I released some fixes in 0.12.4. Let me know if that solves the problem.

    Still throws the same error message for me.

    Plugin Author maxwellberkel

    (@maxwellberkel)

    Same error message. Same error code too?

    Here’s the error code via Chrome’s devtools.

    GET http://localhost:8888/wordpress/wp-content/plugins/wp-log-viewer/api/?do=get-log 400 (Bad Request)getRequest @ main.min.js?ver=4.3:6init @ main.min.js?ver=4.3:7Reqwest @ main.min.js?ver=4.3:6reqwest @ main.min.js?ver=4.3:7wplv.remote.e @ main.min.js?ver=4.3:8wplv.remote.getAllEntries @ main.min.js?ver=4.3:8wplv.AdminBarNav.React.createClass.componentWillMount @ main.min.js?ver=4.3:7R.mountComponent @ main.min.js?ver=4.3:2o.measure.a @ main.min.js?ver=4.3:5i.mountComponent @ main.min.js?ver=4.3:5h @ main.min.js?ver=4.3:5o.perform @ main.min.js?ver=4.3:6m @ main.min.js?ver=4.3:5o.perform @ main.min.js?ver=4.3:6d.batchedUpdates @ main.min.js?ver=4.3:4a @ main.min.js?ver=4.3:5G._renderNewRootComponent @ main.min.js?ver=4.3:5o.measure.a @ main.min.js?ver=4.3:5G.render @ main.min.js?ver=4.3:5o.measure.a @ main.min.js?ver=4.3:5(anonymous function) @ main.min.js?ver=4.3:8
    main.min.js?ver=4.3:7 Uncaught TypeError: self._errorHandlers.shift(...) is not a functionerror @ main.min.js?ver=4.3:7(anonymous function) @ main.min.js?ver=4.3:6
    Plugin Author maxwellberkel

    (@maxwellberkel)

    I found a small issue with one of my previous fixes for sites installed in sub directories. I’ve released 0.12.5 to address that issue.

    Let me know if it solves your problem.

    That seems to have done the trick.

    Thank you.

    Plugin Author maxwellberkel

    (@maxwellberkel)

    Ok, awesome.

    If you come across any other issues let me know.

    Hi,

    I’m seeing this problem on my development machine using 0.12.5 Response is 400.

    I’m also seeing this console error:
    TypeError: undefined is not a function (evaluating ‘self._errorHandlers.shift()(e,t,n)’)
    @ main.min.js:7071

    OS X 10.10.5
    PHP Version 5.6.6
    Apache/2.4.12 (Unix) PHP/5.6.5 mod_wsgi/3.5 Python/2.7.9 OpenSSL/1.0.1j
    WP 4.3

    I too, am running in a subdir off localhost (if that matters).

Viewing 15 replies - 1 through 15 (of 22 total)
  • The topic ‘"Plugin could not be loaded. Please try again."’ is closed to new replies.